Subject: bug#34235: 27.0.50; lisp profiler does not work

From: Alex Branham <[email-masked]>
Date: Wed, 30 Jan 2019 09:40:02 -0600

On Wed 30 Jan 2019 at 07:33, Alan Mackenzie <[email-masked]> wrote:

> For what it's worth, I see the bug in master in GNU/Linux, starting off
> with emacs -Q, visiting xdisp.c, M-x profiler-start <CR> <CR>, M->, M-x
> profiler-report.
>
> I see in the report just the single entry for Automatic GC, like Alex.
>
> I last updated my repository yesterday, just before midday UTC.

Thanks, Alan. Good to know it's not just me.

Since submitting this bug, I've discovered that it affects previous
versions of Emacs as well. Emacs from git master that I compile myself,
Emacs 26.1 from my distro (nixOS), and Emacs 25.3 from my distro. I
haven't had time yet to dig in much more than that, but figured I'd
report that as well since it rules out the pdumper.

Alex